#ifndef EMBPART_FS_DRIVER_H
#define EMBPART_FS_DRIVER_H

typedef int (*fs_drv_open)(const void * ctrl, const char * path, void * file);
typedef int (*fs_drv_seek)(const void * ctrl, void * file, unsigned long pos);
typedef int (*fs_drv_read)(const void * ctrl, void * file, unsigned long len, void * buf);
typedef int (*fs_drv_list)(const void * ctrl, const char * path);

// File system driver
typedef struct {
    fs_drv_open open;
    fs_drv_seek seek;
    fs_drv_read read;
    fs_drv_list list;
} Fs_Driver;

#endif //EMBPART_FS_DRIVER_H
